<?php



class TipoIdentificacionMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TipoIdentificacionMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('TIPO_IDENTIFICACION');
		$tMap->setPhpName('TipoIdentificacion');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('ID_TIPO_IDENTIFICACION', 'IdTipoIdentificacion', 'double', CreoleTypes::NUMERIC, true, 22);

		$tMap->addColumn('DESCRIPCION', 'Descripcion', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('ABREVIATURA', 'Abreviatura', 'string', CreoleTypes::VARCHAR, false, 100);

		$tMap->addColumn('ID_TIP_TER', 'IdTipTer', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 